<div class="flex-row align-items-center test-case-row">
  @if (!isSimulation) {
    <sqtm-core-editable-check-box
      [attr.data-test-button-id]="'select-test-case' + testCase.name"
      (confirmEvent)="updateSelectedTestCase($event)"
    >
    </sqtm-core-editable-check-box>
  }
  <i
    nz-icon
    nzTheme="outline"
    [nzType]="getIconName()"
    [attr.data-test-button-id]="'collapse-generated-test-case'"
    class="font-14-px m-x-10 arrow-opacity __hover_pointer"
    (click)="changeRowState()"
  ></i>
  <span
    nz-tooltip
    [nzTooltipTitle]="testCase.name"
    class="txt__semi-bold name-opacity txt-ellipsis"
    >{{ testCase.name }}</span
  >
</div>

@if ($isRowOpen()) {
  <div class="m-t-10 p-8 test-case-details">
    <div class="m-b-8">
      <span class="label-color txt__semi-bold flex-row m-l-5">
        {{ 'sqtm-core.entity.name' | translate }}
      </span>
      <div class="m-5 flex">
        <span
          nz-tooltip
          [nzTooltipTitle]="testCase.name"
          class="txt-ellipsis"
          [attr.data-test-element-id]="'name'"
          >{{ testCase.name }}</span
        >
      </div>
    </div>
    <div class="m-b-8">
      <span class="label-color txt__semi-bold m-l-5 flex-row">
        {{ 'sqtm-core.entity.generic.description.label' | translate }}
      </span>
      <span
        [attr.data-test-element-id]="'description'"
        class="flex-row generated-field p-5"
        >{{ testCase.description }}</span
      >
    </div>
    <div class="m-b-8">
      <span class="label-color txt__semi-bold m-l-5 flex-row">
        {{ 'sqtm-core.entity.test-case.prerequisites.label' | translate }}
      </span>
      <span
        [attr.data-test-element-id]="'prerequisites'"
        class="flex-row generated-field p-5"
        >{{ testCase.prerequisites }}</span
      >
    </div>
    <div class="m-b-8">
      <span class="label-color txt__semi-bold m-l-5">
        {{ 'sqtm-core.test-case-workspace.title.test-steps' | translate }}
      </span>
    </div>
    <div class="grid-steps">
      @for (step of testCase.testSteps; track step.index; let index = $index) {
        <div
          [attr.data-test-element-id]="'step-number-' + index"
          [ngClass]="getGridElementClass(index, 1)"
        >
          {{ step.index + 1 }}
        </div>
        <div
          [attr.data-test-element-id]="'step-action-' + step.action"
          [ngClass]="getGridElementClass(index, 2)"
        >
          {{ step.action }}
        </div>
        <div
          [attr.data-test-element-id]="
            'step-expected-result-' + step.expectedResult
          "
          [ngClass]="getGridElementClass(index, 3)"
        >
          {{ step.expectedResult }}
        </div>
      }
    </div>
  </div>
}

@if (!testCase.isLastIndex) {
  <hr class="m-15 label-color border-color" />
}
